Subject: [stir] draft-ietf-stir-rfc4474bis-16: Syntax question

From: Christer Holmberg <[email-masked]>
Date: Wed, 3 Jan 2018 18:57:44 +0000

Hi,

Section 4 says:

   "Note that unlike the prior specification
   in RFC4474, the Identity header field is now allowed to appear more
   than one time in a SIP request.  The revised grammar for the Identity
   header field builds on the ABNF [RFC5234] in RFC 3261 [RFC3261]
   Section 25.  It is as follows:

      Identity = "Identity" HCOLON signed-identity-digest SEMI
      ident-info *( SEMI ident-info-params )
      ..."

However, that syntax does NOT allow multiple Identity header fields, according to the rules in RFC 3261:

   "Multiple header field rows with the same field-name MAY be present in
   a message if and only if the entire field-value for that header field
   is defined as a comma-separated list"

It should be something like:

     Identity = "Identity" HCOLON signed-identity * (COMMA signed-identity)
     signed-identity = signed-identity-digest SEMI identi-info * (SEMI ident-info-params)
     ..."

Or, misunderstood I have?

Regards,

Christer

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 4 Jan 2018 10:10:08 +0000

Is it still possible to fix this in the document, or do we file an errata once the RFC has been published?

Regards,

Christer

From: stir <[email-masked]<mailto:[email-masked]>> on behalf of Christer Holmberg <[email-masked]<mailto:[email-masked]>>
Date: Wednesday 3 January 2018 at 20:57
To: IETF STIR Mail List <[email-masked]<mailto:[email-masked]>>
Subject: [stir] draft-ietf-stir-rfc4474bis-16: Syntax question

Hi,

Section 4 says:

   “Note that unlike the prior specification

      …”

   “Multiple header field rows with the same field-name MAY be present in
   a message if and only if the entire field-value for that header field
   is defined as a comma-separated list”

     …”

Regards,

Christer